org.apache.fop.fo.properties

## Class IndentPropertyMaker

- java.lang.Object
- - org.apache.fop.fo.properties.CorrespondingPropertyMaker
  - - org.apache.fop.fo.properties.IndentPropertyMaker

    public class IndentPropertyMaker
    extends CorrespondingPropertyMaker

This property maker handles the calculations described in 5.3.2 which involves the sizes of the corresponding margin-* properties and the padding-* and border-*-width properties.

### Field Summary

### Fields inherited from class org.apache.fop.fo.properties.CorrespondingPropertyMaker

`baseMaker, lrtb, rltb, tblr, tbrl, useParent`

### Constructor Summary

Constructors
Constructor and Description
`IndentPropertyMaker(PropertyMaker baseMaker)` Create a start-indent or end-indent property maker.

### Method Summary

All Methods Instance Methods Concrete Methods
`Property` `compute(PropertyList propertyList)` Calculate the corresponding value for start-indent and end-indent.
`Property` `computeAlternativeRuleset(PropertyList propertyList)` Calculate the corresponding value for start-indent and end-indent.
`Property` `computeConforming(PropertyList propertyList)` Calculate the corresponding value for start-indent and end-indent.
`void` `setBorderWidthCorresponding(int[] borderWidthCorresponding)` Set the corresponding values for the border-*-width properties.
`void` `setPaddingCorresponding(int[] paddingCorresponding)` Set the corresponding values for the padding-* properties.

### Methods inherited from class org.apache.fop.fo.properties.CorrespondingPropertyMaker

`getWMPropertyList, isCorrespondingForced, setCorresponding, setRelative, setUseParent`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### IndentPropertyMaker

    public IndentPropertyMaker(PropertyMaker baseMaker)

Create a start-indent or end-indent property maker.

Parameters:
  `baseMaker` - the property maker to use

### Method Detail

#### setPaddingCorresponding

    public void setPaddingCorresponding(int[] paddingCorresponding)

Set the corresponding values for the padding-* properties.

Parameters:
  `paddingCorresponding` - the corresping propids.

#### setBorderWidthCorresponding

    public void setBorderWidthCorresponding(int[] borderWidthCorresponding)

Set the corresponding values for the border-*-width properties.

Parameters:
  `borderWidthCorresponding` - the corresping propids.

#### compute

    public Property compute(PropertyList propertyList)
                     throws PropertyException

Calculate the corresponding value for start-indent and end-indent.

Overrides:
  `compute` in class `CorrespondingPropertyMaker`
Parameters:
  `propertyList` - the property list to use in the computation
Returns:
  the computed indent property
Throws:
  `PropertyException` - if a property exception occurs
See Also:
  `CorrespondingPropertyMaker.compute(PropertyList)`

#### computeConforming

    public Property computeConforming(PropertyList propertyList)
                               throws PropertyException

Calculate the corresponding value for start-indent and end-indent.

Parameters:
  `propertyList` - the property list to use in the computation
Returns:
  the computed indent property
Throws:
  `PropertyException` - if a property exception occurs
See Also:
  `CorrespondingPropertyMaker.compute(PropertyList)`

#### computeAlternativeRuleset

    public Property computeAlternativeRuleset(PropertyList propertyList)
                                       throws PropertyException

Calculate the corresponding value for start-indent and end-indent. This method calculates indent following an alternative rule set that tries to mimic many commercial solutions that chose to violate the XSL specification.

Parameters:
  `propertyList` - the property list to use in the computation
Returns:
  the computed indent property
Throws:
  `PropertyException` - if a property exception occurs
See Also:
  `CorrespondingPropertyMaker.compute(PropertyList)`